$( document ).ready(function() {
    $("#calculate").on("click", function () {
        calculateBmi();
    });

    function calculateBmi() {
        var value = $('#value').val();
        var height = $('#height').val();
        value = value.replace(",", ".");
        height = height.replace(",", ".");
        var bmi = value / Math.pow(height, 2);
        if(isNaN(bmi) ){
            bmi = 0;
        }
        $('#bmi-result').html("Vaše hodnota bmi je: " + bmi);
        resetDisplay();
        if(bmi < 18.5){
            $('#bmi-1').addClass('warning');
        }
        else if(bmi < 24.99){
            $('#bmi-2').addClass('success');
        }
        else if(bmi < 29.99){
            $('#bmi-3').addClass('warning');
        }
        else if(bmi < 34.99){
            $('#bmi-4').addClass('warning');
        }
        else if(bmi < 39.99){
            $('#bmi-5').addClass('warning');
        }
        else{
            $('#bmi-6').addClass('warning');
        }
    }

    function resetDisplay()
    {
        $('#bmi-1').attr('class', "");
        $('#bmi-2').attr('class', "");
        $('#bmi-3').attr('class', "");
        $('#bmi-4').attr('class', "");
        $('#bmi-5').attr('class', "");
        $('#bmi-6').attr('class', "");

    }
});
